# $Revision: 1.20 $, $Date: 2002/08/06 12:54:17 $
Summary:	Samhain data integrity / intrusion detection system
Summary(pl):	System kontroli integralnoci danych i wykrywania intruzw Samhain
Name:		samhain
Version:	1.5.4
Release:	1
License:	GPL
Group:		Applications/System
# extracted from http://www.la-samhna.de/samhain/samhain-current.tar.gz
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}rc
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.la-samhna.de/samhain/
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't strip by system strip
%define		no_install_post_strip	1

%description
Samhain works by creating a "snapshot" of your system, i.e. a database
of cryptographic checksums of all critical files, and comparing these
files regularly against this database.

%description -l pl
Samhain dziaa tworzc "obraz" twojego systemu, np. baz danych sum
kontrolnych wszystkich krytycznych plikw a nastpnie regularnie
porwnuje te pliki z baz.

%prep
%setup -q
%patch0 -p1

%build
# stupid... it uses own PARSE_ARG and doesn't recognize some standard options
./configure \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags}" \
	CPPFLAGS="" \
	CC=%{__cc} \
	--build=%{_target_platform} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--mandir=%{_mandir} \
	--with-suidcheck

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT%{_var}/lib/%{name} \
	$RPM_BUILD_ROOT%{_localstatedir}/log \

%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__make} install-man DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT%{_localstatedir}/log/samhain_log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"%{_sbindir}/samhain -t init\" to initialize database if not initialized."
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(750,root,bin) %{_sbindir}/samhain
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/samhainrc
%attr(700,root,root) %dir %{_var}/lib/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %ghost %{_localstatedir}/log/samhain_log
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: samhain.spec,v $
Revision 1.20  2002/08/06 12:54:17  qboosh
- fixed broken Requires for chkconfig

Revision 1.19  2002/08/06 12:45:24  kloczek
- cosmetics.

Revision 1.18  2002/08/06 11:08:27  qboosh
- updated to 1.5.4 (most of work done by Michal Abramowicz <abraam at
  cs.net.pl>)
- cleanups, new doc

Revision 1.17  2002/04/02 19:12:17  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 2

Revision 1.16  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/23 10:46:49  migo
- updated to 1.4.0
- get source tar.gz from repo

Revision 1.13  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/17 04:27:42  kloczek
- cosmetics.
NOTRE: seems latest is 1.3.7.

Revision 1.11  2002/01/16 17:43:06  migo
- more proper attributes for config file
- added log file to package
- cleanups
- release 0.2

Revision 1.10  2002/01/09 17:30:07  migo
- use modified samhainrc

Revision 1.9  2002/01/07 19:04:49  migo
- updated to 1.3.5
- various fixes and cleanups
- NFY

Revision 1.8  2001/09/22 20:51:08  grzegorz
- added Prereq: chkconfig

Revision 1.7  2001/09/21 08:41:06  grzegorz
- added pl summary and description
- release 0.3

Revision 1.6  2001/09/20 21:47:45  grzegorz
- added -9nf to gzip

Revision 1.5  2001/09/20 21:22:06  grzegorz
- added install -d with %%{_initdir} and %%{_logdir}

Revision 1.4  2001/09/20 20:48:39  grzegorz
- added Source1 PLD style init
- added %%post and %%preun
- reverting release back to 0.2
- not finished

Revision 1.3  2001/09/20 20:22:40  grzegorz
- changed group
- added %%{_logdir}
- release 1

Revision 1.2  2001/09/20 20:12:11  grzegorz
- updated to 1.2.6
- added DESTDIR patch
- added dontstrip patch (i don't know how to disable stripping by rpm so
  i disable stripping by make)
- %%configure2_13 becouse i don't know how to make it work with ac2.5x
- built but i don't test it
- todo: --with-khide but this depend on running kernel version not in /usr/src/linux

Revision 1.1  2001/06/27 08:03:53  grzegorz
- initial SPEC, not ready %install
